Package org.h2gis.functions.spatial.properties

# Class ST_ExteriorRing

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.properties.ST_ExteriorRing

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_ExteriorRing extends org.h2gis.api.DeterministicScalarFunction
Returns a LinearRing instance or Null if parameter is not a Polygon.

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_ExteriorRing()`
Default constructor

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.Geometry`
`getExteriorRing(org.locationtech.jts.geom.Geometry geometry)`
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_ExteriorRing

public ST_ExteriorRing()
Default constructor

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### getExteriorRing

public static org.locationtech.jts.geom.Geometry getExteriorRing(org.locationtech.jts.geom.Geometry geometry)

Parameters:
  `geometry` - Instance of Polygon
Returns:
  LinearRing instance or Null if parameter is not a Polygon.